org.wildfly.swarm.config.management.security_realm

## Class LocalAuthentication<T extends LocalAuthentication<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.security_realm.LocalAuthentication<T>

-     public class LocalAuthentication<T extends LocalAuthentication<T>>
      extends Object

  Configuration of the local authentication mechanism.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalAuthentication()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `allowedUsers()` The comma separated list of users that will be accepted using the JBOSS-LOCAL-USER mechanism or '*' to accept all.
    `T` | `allowedUsers(String value)` The comma separated list of users that will be accepted using the JBOSS-LOCAL-USER mechanism or '*' to accept all.
    `String` | `defaultUser()` The name of the default user to assume if no user specified by the remote client.
    `T` | `defaultUser(String value)` The name of the default user to assume if no user specified by the remote client.
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `skipGroupLoading()` Disable the loading of the users group membership information after local authentication has been used.
    `T` | `skipGroupLoading(Boolean value)` Disable the loading of the users group membership information after local authentication has been used.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalAuthentication

          public LocalAuthentication()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### allowedUsers

          public String allowedUsers()

      The comma separated list of users that will be accepted using the JBOSS-LOCAL-USER mechanism or '*' to accept all. If specified the default-user is always assumed allowed.

    - #### allowedUsers

          public T allowedUsers(String value)

      The comma separated list of users that will be accepted using the JBOSS-LOCAL-USER mechanism or '*' to accept all. If specified the default-user is always assumed allowed.

    - #### defaultUser

          public String defaultUser()

      The name of the default user to assume if no user specified by the remote client.

    - #### defaultUser

          public T defaultUser(String value)

      The name of the default user to assume if no user specified by the remote client.

    - #### skipGroupLoading

          public Boolean skipGroupLoading()

      Disable the loading of the users group membership information after local authentication has been used.

    - #### skipGroupLoading

          public T skipGroupLoading(Boolean value)

      Disable the loading of the users group membership information after local authentication has been used.

Copyright © 2017 JBoss by Red Hat. All rights reserved.